Name:             fusesource-pom
Version:          1.5
Release:          %mkrel 2
Summary:          Parent POM for FuseSource Maven projects
Group:            Development/Java
License:          ASL 2.0
URL:              http://fusesource.com/

# mkdir -p fusesource-pom-1.5 && cd fusesource-pom-1.5 && wget -U "" http://repo1.maven.org/maven2/org/fusesource/fusesource-pom/1.5/fusesource-pom-1.5.pom  && mv fusesource-pom-1.5.pom pom.xml && cd ..
# tar cjf fusesource-pom-1.5.tar.bz2 fusesource-pom-1.5
Source0:          %{name}-%{version}.tar.bz2
Patch0:           %{name}-%{version}-pom.patch
Patch1:           fusesource-pom-1.5-remove_wagon-webdav_and_graph-plugin.patch
Patch2:           fusesource-pom-1.5-use-component-metadata.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven

Requires:         maven-antrun-plugin
Requires:         maven-assembly-plugin
Requires:         maven-clean-plugin
Requires:         maven-compiler-plugin
Requires:         maven-deploy-plugin
Requires:         maven-docck-plugin
Requires:         maven-enforcer-plugin
Requires:         maven-gpg-plugin
# org.fusesource.mvnplugins maven-graph-plugin 1.12  removed by patch 1
Requires:         maven-invoker-plugin
Requires:         maven-jar-plugin
Requires:         maven-javadoc-plugin 
Requires:         maven-plugin-plugin
Requires:         maven-remote-resources-plugin
Requires:         maven-resources-plugin
Requires:         maven-source-plugin
Requires:         maven-surefire-plugin
# clirr-maven-plugin depdendency removed by patch 0
# wagon-webdav-jackrabbit 1.0-beta-7  removed by patch 1
Requires:         plexus-containers-component-metadata
Requires:         modello
Requires:         maven-release-plugin
Requires:         maven-scm

Requires:         java
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
This is a shared POM parent for FuseSource Maven projects

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
mvn-rpmbuild install

%install
# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*


%changelog

* Thu Dec 29 2011 gil <gil> 1.5-2.mga2
+ Revision: 188537
- changed R on plexus maven-plugin to component-metadata
  applied patch2

* Wed Jul 20 2011 dmorgan <dmorgan> 1.5-1.mga2
+ Revision: 127104
- Fix group

  + gil <gil>
    - imported package fusesource-pom

